/*==========Diary Home==========--------------------------*/

:root {
    --journal-height: 264px;
    --journal-width: 184px;
}

.trinkets { 
    width: 100%;
    padding-top: 0;
}

.trinkets h3 {
    font-size: 1rem;
    margin: 0;
    font: var(--body-sc);
    letter-spacing: var(--letter-spacing);
    text-transform: uppercase;
}

.trinket {
    width: 100%;
    height: 100%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center bottom;
    display: block;
    position: relative;
}

.label {
    display: inline-block;
    color: var(--attn);
    font: var(--body-sc);
    letter-spacing: var(--spacing);
    text-align: center;
    white-space: nowrap;
    background: var(--white);
    padding: 4px 4px 4px 12px;
    border: var(--outline-dark);
    opacity: 0;
    transition: all var(--speed);
    transform: translateX(-10px);
    position: absolute;
    z-index: -1;
}

a:hover + .label, a:focus + .label {
    opacity: 1;
    transform: translateX(0px);
}

.inner {
    width: 100%;
    height: 100%;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 1;
}

/**/

.trinket-group {
    display: flex;
    flex-wrap: wrap;
}
.trinket-group > * {
    position: relative;
}

.blog {
    flex-wrap: wrap;
    margin-bottom: 1rem;
    position: relative;
}
.blog a {
    transition: all var(--speed);
}
.blog a:hover, .blog a:hover + .trinket {
    transform: translateY(-10px);
}

.blog .trinkets h3 {
    text-shadow: var(--text-outline-dark);
}

.journal, .blog > .trinket-group {
    width: var(--journal-width);
}

.journal {
    width: var(--journal-width);
    height: var(--journal-height);
    text-align: center;
    position: relative;
}
.journal a {
    height: 106%;
    background-image: url(journal.png);
    background-position: center;
}

.journal h2 {
    text-transform: uppercase;
    margin-top: 0;
}
.journal h2 > * {
    display: block;
    margin-bottom: .25rem
}
.journal h3 {
    letter-spacing: 0;
}

.journal .inner {
    padding-bottom: 2.5rem;
}

.pen {
    height: var(--journal-height);
    width: 42px;
    z-index: 1;
}
.pen .trinket {
    background-image: url(pen.png);
}

.pen .label {
    left: calc(100% - 8px);
    top: 15%;
    white-space: nowrap;
}

.photo-album { 
    height: calc( var(--journal-height) / 2 );
    width: var(--journal-width);
}

.photo-album a {
    background-image: url(photoalbum.png);
    background-position: center;
}
.photo-album .inner {
    width: 35%;
    height: 6ch;
    top: 28%;
    left: 4%;
    margin: 0 auto;
}


.ink-short, .ink-tall {
    width: 92px;
    height: calc( var(--journal-height) / 2);
    position: relative;
}
.ink-short .trinket {
    background-image: url(ink-bottle_short.png);
}
.ink-tall .trinket {
    background-image: url(ink-bottle_tall.png);
}

#microblog {
    font: var(--body-sm);
    background: var(--primary-dark) url(../../assets/layout/background/gingham.svg);
    background-size: var(--bg-sm);
    padding: 5px;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    max-height: var(--journal-height);
    border: var(--outline-dark);
    border-radius: 4px;
    margin-left: 6px;
    max-width: calc( var(--main-width) - (var(--journal-width) * 2) - 42px - 8px );
}

#microblog .post {
    display: flex;
    border: var(--outline-dark);
    border-radius: 4px;
    background: var(--primary-light);
    padding: 12px;
    overflow-y: auto;
    height: 100%;
}

#microblog .post > a, #microblog .username {
   display: none;
}

#microblog .authorDate {
    display: flex;
    justify-content: space-between;
    font: var(--body-sc);
    text-transform: uppercase;
    letter-spacing: var(--letter-spacing);
}

#microblog .postText {
    padding: 6px 0;
}

#microblog a:hover {
    transform: none;
}

.postContent {
display: flex;
  flex-direction: column;
  height: 100%;
}

.postImage {
    height: 100%;
    object-fit: cover;
}

/**/

.precious-things { display: flex; flex-wrap: wrap;}
.favorites {
    flex: 1 0 calc(40% - 28px);
    margin-top: 2rem;
}

.trunk {
    background: url(trunk.png) no-repeat bottom;
    background-size: contain;
    min-width: 408px;
    height: 480px;
    flex: 0 0 calc(60% + 28px);
    margin-left: -16px;
    position: relative;
    z-index: 1;
}
.trunk::after {
    content: '';
    display: block;
    width: 100%;
    height: 28.10%;
    background: url(trunk_bottom.png) no-repeat bottom;
    background-size: contain; 
    position: absolute;
    bottom: 0;
    z-index: 1001;
    pointer-events: none;
}
.trunk > *:first-child { 
    height: 100%;
    position: relative;
}
.trunk div {
    position: absolute;
}
.trunk .trinket {
    z-index: 2;
}

.pocket {
    width: 50%;
    height: 48%;
    pointer-events: none;
    background: url(pocket.png) no-repeat bottom;
    background-size: contain;
    left: 24%;
    top: -2%;
    z-index: 1;
    position: absolute;
}

.letter {
    width: 20%;
    max-width: 82px;
    height: 33%;
    left: 28%;
    top: 11%;
    z-index: 0;
}
.letter .trinket {
    background-image: url(letter.png);
    transform: rotate(-20deg);
    transition: all var(--speed);
}
.letter .trinket:hover, .letter .trinket:focus {
    transform: translateY(-30%) rotate(-8deg);
}

.letter .label {
    top: 0;
    left: calc(100% - 10px);
}


.bunny {
    width: 46%;
    max-width: 214px;
    height: 66%;
    left: 50%;
    top: 24%;
}
.bunny .trinket {
    background-image: url(bunny.png);
    clip-path: polygon(60% 0%, 100% 0%, 100% 20%, 70% 50%, 82% 75%, 50% 75%, 28% 100%, 0% 100%, 0% 85%, 18% 62%, 0% 62%, 0% 50%);
    transition: all var(--speed);
}

.bunny .trinket:hover, .bunny .trinket:focus {
    transform: translateY(-5%) rotate(-4deg);
}

.bunny .label {
    position: absolute;
    bottom: 47%;
    right: -4.5%;
}

/*========================*/
/*Responsiveness*/
/*========================*/

@media screen and (max-width: 800px) {
    
    .precious-things {
        padding: 0 var(--content-side-padding);
    }
    
    .trunk, .blog-trinkets {
        display: none;
    }
    
    
}
